Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP POST

POST chat_conversations/:id/stop

Ostatnia modyfikacja 2026-05-28 13:55:29
Zakańcza konwersację na czacie.

URL

https://your-system-name.thulium.com/api/chat_conversations/:id/stop

Parametry

id

wymagany

Identyfikator konwersacji (zwrócony przez start). Przykładowa wartość: 6ed7c941-2c8a-411e-95d2-338a9f64800a
external_chatbot_id

opcjonalny

Identyfikator zewnętrznego chat bota Przykładowa wartość: a779146f-4df3-49c1-826a-7caa6a5e653a

Przykładowy request

POST https://your-system-name.thulium.com/api/chat_conversations/6ed7c941-2c8a-411e-95d2-338a9f64800a/stop

Przykładowy response

<!-- pusty -->

Przykładowe wywołanie


PHP
<?php
$data = '';

$request = curl_init('https://your-system-name.thulium.com/api/chat_conversations/6ed7c941-2c8a-411e-95d2-338a9f64800a/stop');
curl_setopt($request, CURLOPT_HTTPHEADER, array(
    'Content-Type: application/json; charset=utf-8',
    'Content-Length: ' . mb_strlen($data)
));
curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass');
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);
curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'POST');
curl_setopt($request, CURLOPT_POSTFIELDS, $data);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.post("https://your-system-name.thulium.com/api/chat_conversations/6ed7c941-2c8a-411e-95d2-338a9f64800a/stop", "");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X POST -H "Content-type: application/json" -d '' "https://your-system-name.thulium.com/api/chat_conversations/6ed7c941-2c8a-411e-95d2-338a9f64800a/stop"

HTTPie
http -a api_user:api_pass POST https://your-system-name.thulium.com/api/chat_conversations/6ed7c941-2c8a-411e-95d2-338a9f64800a/stop